Package org.firebirdsql.jdbc.escape

## Class FBEscapedParser

- java.lang.Object
- - org.firebirdsql.jdbc.escape.FBEscapedParser

    @InternalApi
    public final class FBEscapedParser
    extends java.lang.Object

The class `FBEscapedParser` parses the SQL and converts escaped syntax to native form.

Author:
  Roman Rokytskyy, Mark Rotteveel

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `parse​(java.lang.String sql)` Converts escaped parts in `sql` to native representation.
`static java.lang.String` `toNativeSql​(java.lang.String sql)` Converts escaped parts in `sql` to native representation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### toNativeSql

    public static java.lang.String toNativeSql​(java.lang.String sql)
                                        throws java.sql.SQLException

Converts escaped parts in `sql` to native representation.

Parameters:
  `sql` - to parse
Returns:
  native form of the `sql`.
Throws:
  `java.sql.SQLException`

#### parse

    public static java.lang.String parse​(java.lang.String sql)
                                  throws java.sql.SQLException

Converts escaped parts in `sql` to native representation.

Parameters:
  `sql` - to parse
Returns:
  native form of the `sql`.
Throws:
  `java.sql.SQLException`